<?php
/*--------------------------------------------------------------+
| PHP-Fusion Content Management System 				|
| Copyright  2002 - 2008 Nick Jones 				|
| http://www.php-fusion.co.uk/ 					|
+---------------------------------------------------------------+
| Author: Joakim Falk (Domi) 					|
+--------------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
include INFUSIONS."blog/infusion_db.php";
$vblogsettings = dbarray(dbquery("SELECT * FROM ".DB_VBLOG_SETTINGS.""));
add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."blog/fancybox/fancybox.css' />");
add_to_head("<script type='text/javascript' src='".INFUSIONS."blog/fancybox/fancybox.js'></script>");
add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."blog/css/fancycostume.css' />");

if (file_exists(INFUSIONS."blog/locale/".$settings['locale'].".php")) {
	include INFUSIONS."blog/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."blog/locale/English.php";
}

//useing Fusion 6 core photo functions included here to not be to version dependant incase of changes in these routines.
function createthumbnail($filetype, $origfile, $thumbfile, $new_w, $new_h) {
	
	global $settings;
	
	if ($filetype == 1) { $origimage = imagecreatefromgif($origfile); }
	elseif ($filetype == 2) { $origimage = imagecreatefromjpeg($origfile); }
	elseif ($filetype == 3) { $origimage = imagecreatefrompng($origfile); }
	
	$old_x = imagesx($origimage);
	$old_y = imagesy($origimage);
	
	if ($old_x > $new_w || $old_y > $new_h) {
		if ($old_x < $old_y) {
			$thumb_w = round(($old_x * $new_h) / $old_y);
			$thumb_h = $new_h;
		} elseif ($old_x > $old_y) {
			$thumb_w = $new_w;
			$thumb_h = round(($old_y * $new_w) / $old_x);
		} else {
			$thumb_w = $new_w;
			$thumb_h = $new_h;
		}
	} else {
		$thumb_w = $old_x;
		$thumb_h = $old_y;
	}
	
	if ($settings['thumb_compression'] == "gd1") {
		$thumbimage = imagecreate($thumb_w,$thumb_h);
		$result = imagecopyresized($thumbimage, $origimage, 0, 0, 0, 0, $thumb_w, $thumb_h, $old_x, $old_y);
	} else {
		$thumbimage = imagecreatetruecolor($thumb_w,$thumb_h);
		$result = imagecopyresampled($thumbimage, $origimage, 0, 0, 0, 0, $thumb_w, $thumb_h, $old_x, $old_y);
	}
	
	touch($thumbfile);

	if ($filetype == 1) { imagegif($thumbimage, $thumbfile); }
	elseif ($filetype == 2) { imagejpeg($thumbimage, $thumbfile); }
	elseif ($filetype == 3) { imagepng($thumbimage, $thumbfile); }
}

function image_exists($dir, $image) {
	$i = 1;
	$image_name = substr($image, 0, strrpos($image, "."));
	$image_ext = strrchr($image,".");
	while (file_exists($dir.$image)) {
		$image = $image_name."_".$i.$image_ext;
		$i++;
	}
	return $image;
}

echo '
<script type="text/javascript">
$(document).ready(function() {

$("a.bphotooverlay").fancybox({
               "padding"		: 0,
		margin			: 0,
		autoDimensions		: false,
 		width			: "100%",
		height			: "100%",
		titlePosition		: "inside",
		showCloseButton         : true,
		"titleShow"   	        : false,
		"transitionIn"		: "elastic",
		"transitionOut"		: "elastic",
		"hideOnContentClick"	: true,
		"centerOnScroll" : true ,
		"overlayShow": true,
		"overlayColor": "#000000",
		"overlayOpacity": 0.8,
		"enableEscapeButton": true
});
});
</script>';


function highlighter($id,$type,$idname) {
echo '<script type="text/javascript">
$(document).ready(function() {
  $("'.$type.'#'.$idname.''.$id.'").hover(function() {
  $("'.$type.'#'.$idname.''.$id.'").addClass("tbl2");
  }, function() {
  $("'.$type.'#'.$idname.''.$id.'").removeClass("tbl2");
  });
});
</script>';
}


function makeblogpagenav($start,$count,$total,$range=0,$link=""){
	global $locale;

	if ($link == "") $link = FUSION_SELF."?";
	$res="";
	$pg_cnt=ceil($total / $count);

	if ($pg_cnt > 1) {
		$idx_back = $start - $count;
		$idx_next = $start + $count;
		$cur_page=ceil(($start + 1) / $count);
		$res.="<table align='center' cellpadding='0' cellspacing='1' width='400' class='tbl-border'><tr>\n";

		if ($idx_back >= 0) {

			$res.="<td width='20%' align='center' class='tbl2'><span class='small'><a href='$link"."rowstart=$idx_back'>".$locale['MPPCN2']."</a></span></td>\n";

		}

		$idx_fst=max($cur_page - $range, 1);
		$idx_lst=min($cur_page + $range, $pg_cnt);
		if ($range==0) {
			$idx_fst = 1;
			$idx_lst=$pg_cnt;
			} else {
			$res.="<td width='20%' align='center' class='tbl1'><span class='small'>".$locale['MPPCN1']." $cur_page/$pg_cnt</span></td>\n";
			}


		if ($idx_next < $total) {
			$res.="<td width='20%' align='center' class='tbl2'><span class='small'><a href='$link"."rowstart=$idx_next'>".$locale['MPPCN3']."</a></span></td>\n";

		}
		$res.="</tr>\n</table>\n";
	}
	return $res;
}

function makeblogCnav($start,$count,$total,$range=0,$sortby,$ctype){
global $locale,$itemid,$rowstart;
echo '<input type = "hidden" id = "itemid" value="'.$sortby.'" />';
echo '<input type = "hidden" id = "ctype" value="'.$ctype.'" />';
	$res="";
	$pg_cnt=ceil($total / $count);
	if ($pg_cnt > 1) {
		$idx_back = $start - $count;
		$idx_next = $start + $count;
		$cur_page=ceil(($start + 1) / $count);
		$res.="<table cellspacing='1' cellpadding='1' border='0' class='tbl-border'>\n<tr>\n";
		$res.="<td class='tbl2'><span class='small'>".$locale['KOM107']." $cur_page ".$locale['KOM108']." $pg_cnt</span></td>\n";
		if ($idx_back >= 0) {
			if ($cur_page > ($range + 1)) $res.="<td class='tbl2'><a class='small' href='javascript:;' onclick=\"javascript:qcmtnav('0');\">&lt;&lt;</a></td>\n";
			$res.="<td class='tbl2'><a class='small' href='javascript:;' onclick=\"javascript:qcmtnav('$idx_back');\">&lt;</a></td>\n";
		}
		$idx_fst=max($cur_page - $range, 1);
		$idx_lst=min($cur_page + $range, $pg_cnt);
		if ($range==0) {
			$idx_fst = 1;
			$idx_lst=$pg_cnt;
		}
		for($i=$idx_fst;$i<=$idx_lst;$i++) {
			$offset_page=($i - 1) * $count;
			if ($i==$cur_page) {
				$res.="<td class='tbl1'><span class='small'><b>$i</b></span></td>\n"; 
			} else {
				$res.="<td class='tbl1'><a class='small' href='javascript:;' onclick=\"javascript:qcmtnav('$offset_page');\">$i</a></td>\n";
			}
		}
		if ($idx_next < $total) {
			$res.="<td class='tbl2'><a class='small' href='javascript:;' onclick=\"javascript:qcmtnav('$idx_next');\">&gt;</a></td>\n";   
			if ($cur_page < ($pg_cnt - $range)) $res.="<td class='tbl2'><a class='small'  href='javascript:;' onclick=\"javascript:qcmtnav('".($pg_cnt-1)*$count."');\">&gt;&gt;</a></td>\n";
		}
		$res.="</tr>\n</table>\n";

	}
	return $res;
}

function makeblogcomments($ctype,$cid) {
global $locale,$settings,$rowstart,$vblogsettings,$userid;

add_to_head("<link rel='stylesheet' type='text/css' href='".INFUSIONS."blog/comments.css' />");

echo "<script type='text/javascript' src='".INFUSIONS."blog/comments.js'></script>";

if ($vblogsettings['aapprovecmts'] == "1") 
{ 
$checkcapproval = ""; 
} else { 
$checkcapproval = "AND comment_approved = '1'"; 
}

echo "<table width='100%'><tr><td align='left'><div align='left' style='width:35%;' class='scapmain'> &raquo; ".$locale['KOM100']."</div>";
echo "<div id='qcmtoutput'>";
$result = dbquery("SELECT * FROM ".DB_VBLOG_COMMENTS." LEFT JOIN ".DB_USERS." 
ON ".DB_VBLOG_COMMENTS.".comment_name=".DB_USERS.".user_id WHERE comment_type = '".$ctype."' AND comment_item_id='".$cid."' $checkcapproval");
$rows = dbrows($result);
if ($rows != 0) {
	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
$result = dbquery("SELECT * FROM ".DB_VBLOG_COMMENTS." LEFT JOIN ".DB_USERS." 
ON ".DB_VBLOG_COMMENTS.".comment_name=".DB_USERS.".user_id WHERE comment_type = '".$ctype."' AND comment_item_id='".$cid."' $checkcapproval ORDER BY comment_datestamp DESC LIMIT ".$_GET['rowstart'].",5");

while ($cmtdata = dbarray($result)) {
echo "<div class='bubble'><blockquote><p>";
if ($cmtdata['comment_smileys'] == "1") {
echo parsesmileys(parseubb(nl2br($cmtdata['comment_message'])));
} else {
echo parseubb(nl2br($cmtdata['comment_message']));
}
echo "</p></blockquote>";
echo "<cite><a href='".BASEDIR."profile.php?lookup=".$cmtdata['user_id']."'><b>".$cmtdata['user_name']."</b></a> ".$locale['KOM104']." ".strftime($settings['longdate'], $cmtdata['comment_datestamp']+($settings['timeoffset']*3600))." ";
if (checkrights("C")) echo "  <a href=\"javascript:;\" onclick=\"window.open('".INFUSIONS."blog/comments_admin.php?ctype=".$cmtdata['comment_type']."&amp;cid=".$cmtdata['comment_item_id']."','','scrollbars=yes,toolbar=no,status=no,resizable=yes,width=640,height=480')\">&raquo; ".$locale['KOM103']." &laquo; </a>"; 
echo "</cite></div>";

}
echo "<div align='center' style='margin-top:5px;'>\n".makeblogCnav($_GET['rowstart'],5,$rows,3,$cid,$ctype)."\n</div>\n";
} else {
echo "<br /><div class='admin-message'> ".$locale['KOM102']." </div>";
}
echo "</div>";

if (iMEMBER)
{
echo "<div align='left' style='width:40%;' class='scapmain'> &raquo; ".$locale['KOM105']."</div>";
echo "<form name='inputform' method='post' action=\"javascript:qcmt(0)\">";
echo '<input type = "hidden" id = "itemid" value="'.$cid.'">';
echo '<input type = "hidden" id = "ctype" value="'.$ctype.'">';
echo '<input type = "hidden" id = "profid" value="'.$userid.'">';
echo "<tr>
<td align='center'><textarea name='comment' id='comment' rows='6' class='textbox' style='width:400px'></textarea><br />
<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('comment', '[b]', '[/b]');\">
<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('comment', '[i]', '[/i]');\">
<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('comment', '[u]', '[/u]');\">
<input type='button' value='url' class='button' style='width:30px;' onClick=\"addText('comment', '[url]', '[/url]');\">
<input type='button' value='mail' class='button' style='width:35px;' onClick=\"addText('comment', '[mail]', '[/mail]');\">
<input type='button' value='img' class='button' style='width:30px;' onClick=\"addText('comment', '[img]', '[/img]');\">
<input type='button' value='center' class='button' style='width:45px;' onClick=\"addText('comment', '[center]', '[/center]');\">
<input type='button' value='small' class='button' style='width:40px;' onClick=\"addText('comment', '[small]', '[/small]');\">
<input type='button' value='code' class='button' style='width:40px;' onClick=\"addText('comment', '[code]', '[/code]');\">
<input type='button' value='quote' class='button' style='width:45px;' onClick=\"addText('comment', '[quote]', '[/quote]');\">
<br /><br />
".displaysmileys("comment")."
</tr>
<tr>
<td align='center'>
".$locale['KOM110']." <select id='csmileys' class='textbox'>
<option value='1'>".$locale['KOM111']."</option>
<option value='0'>".$locale['KOM112']."</option>
</select>
<br />
<input type='submit' value='".$locale['KOM109']."' class='button'></td></tr>
</form>\n";
}
else
{
echo "<br /><div class='admin-message'> ".$locale['KOM106']." </div>";
}
echo "</td></tr></table>";
}

?>